curl --request POST \
--url https://library-backend.dashsocial.com/brands/{brand_id}/media/v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callback_socket_id": "<string>",
"content_tags": [
"Tag 1",
"Tag 2"
],
"custom_metrics": [
{
"aggregation": "<string>",
"description": "<string>",
"formula": "<string>",
"id": 123,
"metric_format": "<string>",
"name": "<string>",
"value": 123
}
],
"likeshop": {
"clicks": 123,
"links": "<string>",
"tiktok_clicks": 123
},
"meta": {
"filename": "<string>",
"last_modified_at": "<string>",
"uploaded_by": 123
},
"source_created_at": "2023-11-07T05:31:56Z",
"variants": [],
"video_predictions_interval_sec": 123,
"video_suggested_thumbnail_list": [
{
"frame_position": 123,
"index": 123,
"predictions": {
"engagement": 123
},
"url": "<string>"
}
]
}
'import requests
url = "https://library-backend.dashsocial.com/brands/{brand_id}/media/v2"
payload = {
"callback_socket_id": "<string>",
"content_tags": ["Tag 1", "Tag 2"],
"custom_metrics": [
{
"aggregation": "<string>",
"description": "<string>",
"formula": "<string>",
"id": 123,
"metric_format": "<string>",
"name": "<string>",
"value": 123
}
],
"likeshop": {
"clicks": 123,
"links": "<string>",
"tiktok_clicks": 123
},
"meta": {
"filename": "<string>",
"last_modified_at": "<string>",
"uploaded_by": 123
},
"source_created_at": "2023-11-07T05:31:56Z",
"variants": [],
"video_predictions_interval_sec": 123,
"video_suggested_thumbnail_list": [
{
"frame_position": 123,
"index": 123,
"predictions": { "engagement": 123 },
"url": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callback_socket_id: '<string>',
content_tags: ['Tag 1', 'Tag 2'],
custom_metrics: [
{
aggregation: '<string>',
description: '<string>',
formula: '<string>',
id: 123,
metric_format: '<string>',
name: '<string>',
value: 123
}
],
likeshop: {clicks: 123, links: '<string>', tiktok_clicks: 123},
meta: {filename: '<string>', last_modified_at: '<string>', uploaded_by: 123},
source_created_at: '2023-11-07T05:31:56Z',
variants: [],
video_predictions_interval_sec: 123,
video_suggested_thumbnail_list: [
{
frame_position: 123,
index: 123,
predictions: {engagement: 123},
url: '<string>'
}
]
})
};
fetch('https://library-backend.dashsocial.com/brands/{brand_id}/media/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source": "INSTAGRAM",
"type": "IMAGE",
"brand_id": 123,
"brand_media_id": 123,
"brand_media_status": "<string>",
"callback_socket_id": "<string>",
"can_publish_within": {
"end": "<string>",
"start": "<string>"
},
"caption_question": {
"is_question": true,
"user_overridden": true
},
"caption_sentiment": {
"is_negative": true,
"is_neutral": true,
"is_positive": true,
"user_overridden": true
},
"collections": {},
"comment_sentiment": {
"is_negative": true,
"is_neutral": true,
"is_positive": true,
"user_overridden": true
},
"community_engagement": 123,
"content_rights_expiry_date": "2023-11-07T05:31:56Z",
"content_rights_requested_by": "<string>",
"content_rights_requested_date": "2023-11-07T05:31:56Z",
"content_rights_type": "APPROVED",
"content_tags": [
"Tag 1",
"Tag 2"
],
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"avatar_url": "<string>",
"handle": "<string>"
},
"custom_metrics": [
{
"aggregation": "<string>",
"description": "<string>",
"formula": "<string>",
"id": 123,
"metric_format": "<string>",
"name": "<string>",
"value": 123
}
],
"facebook": {},
"id": 123,
"image": {
"sizes": {
"original": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"medium_square": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"original_converted": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"small": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"small_square": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
}
},
"editor_data": {
"aspect_ratio": "<string>",
"canvas_data": {
"height": 123,
"left": 123,
"natural_height": 123,
"natural_width": 123,
"top": 123,
"width": 123
},
"zoom_value": 123
},
"transforms": {
"crop": {
"height": 123,
"width": 123,
"x": 123,
"y": 123
},
"parent_media_id": 123
}
},
"instagram": {},
"instagram_ads": {},
"instagram_story": {},
"instagram_story_frame": {},
"instagram_user": {},
"likeshop": {
"clicks": 123,
"links": "<string>",
"tiktok_clicks": 123
},
"linkedin": {},
"media_group": 123,
"meta": {
"filename": "<string>",
"last_modified_at": "<string>",
"uploaded_by": 123
},
"pinterest": {},
"predictions": {
"ad_engagement": 123,
"conversions": 123,
"engagement": 123,
"link_clicks": 123
},
"snapchat": {},
"source_account_id": "<string>",
"source_created_at": "2023-11-07T05:31:56Z",
"source_id": "<string>",
"source_type": "UGC",
"threads": {},
"tiktok": {},
"tiktok_ad": {},
"twitter": {},
"updated_at": "2023-11-07T05:31:56Z",
"variants": [
"TEXT"
],
"video": {
"sizes": {
"original": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"medium_square": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"original_converted": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"small": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"small_square": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
}
},
"duration": 123,
"editor_data": {
"aspect_ratio": "<string>"
},
"frame_rate": 123,
"thumbnails": {
"medium_square": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"original": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"original_converted": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"small": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
},
"small_square": {
"url": "<string>",
"height": 123,
"size": 123,
"width": 123
}
},
"transforms": {
"crop": {
"height": 123,
"width": 123,
"x": 123,
"y": 123
},
"disable_audio_track": true,
"parent_media_id": 123,
"trim": {
"end_time": 123,
"start_time": 123
}
},
"video_conversion_warnings": "<unknown>"
},
"video_predictions": {
"engagement": [
123
]
},
"video_predictions_interval_sec": 123,
"video_suggested_thumbnail_list": [
{
"frame_position": 123,
"index": 123,
"predictions": {
"engagement": 123
},
"url": "<string>"
}
],
"visual_features": "<string>",
"youtube": {}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Create a media object
Creates a new media object for a brand.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Dash Social assigned ID of the brand.
Body
Source of media.
INSTAGRAM, INSTAGRAM_STORY, PINTEREST, FACEBOOK, TIKTOK, TIKTOK_AD, TWITTER, YOUTUBE, LINKEDIN, THREADS, SNAPCHAT, UPLOAD, EDITOR, AI_GENERATION, FACEBOOK_ADS, FACEBOOK_LINK, FACEBOOK_TEXT, FACEBOOK_TEXT_LINK, TWITTER_LINK, TWITTER_TEXT Type of media.
IMAGE, VIDEO, CAROUSEL, REEL ID of WebSocket to notify when media conversion is complete.
content tag names that brand media can be tagged with
["Tag 1", "Tag 2"]
Show child attributes
Show child attributes
Data if type is IMAGE.
Show child attributes
Show child attributes
Likeshop Stats.
Show child attributes
Show child attributes
Metadata describing this media item.
Show child attributes
Show child attributes
An ISO-8601 formatted timestamp of when the source object was created.
Type of source.
UGC, OWNED, OTHER Variants of media: TEXT, LINK
TEXT, LINK Data if type is VIDEO.
Show child attributes
Show child attributes
Time interval for sampled video predictions
Show child attributes
Show child attributes
Response
Created
Source of media.
INSTAGRAM, INSTAGRAM_STORY, PINTEREST, FACEBOOK, TIKTOK, TIKTOK_AD, TWITTER, YOUTUBE, LINKEDIN, THREADS, SNAPCHAT, UPLOAD, EDITOR, AI_GENERATION, FACEBOOK_ADS, FACEBOOK_LINK, FACEBOOK_TEXT, FACEBOOK_TEXT_LINK, TWITTER_LINK, TWITTER_TEXT Type of media.
IMAGE, VIDEO, CAROUSEL, REEL Status of the brand media (e.g. PROCESSED, HIDDEN, NEW).
ID of WebSocket to notify when media conversion is complete.
Media is only allowed to be published within this range of dates.
Show child attributes
Show child attributes
Whether the caption of this media item includes a question.
Show child attributes
Show child attributes
Sentiment as determined by the caption of this media item.
Show child attributes
Show child attributes
Collections that the media belong to.
Sentiment as determined by the aggregated comments on this media item.
Show child attributes
Show child attributes
Media engagement for community overview
Expiry date of the content rights.
User ID of the person who requested content rights.
Date when the content rights were requested.
Content rights status of the media.
APPROVED, NOT_REQUESTED, REQUESTED, LAPSED, FAILED, EXPIRED content tag names that brand media can be tagged with
["Tag 1", "Tag 2"]
An ISO-8601 formatted timestamp of when the object was created.
Creator info for the media
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Facebook source data.
The object's ID.
Data if type is IMAGE.
Show child attributes
Show child attributes
Instagram source data.
Instagram ads source data.
Instagram story source data.
Instagram story frame source data.
Instagram User source data.
Likeshop Stats.
Show child attributes
Show child attributes
LinkedIn source data.
Media group ID.
Metadata describing this media item.
Show child attributes
Show child attributes
Pinterest source data.
Contains vision predictions for this media. Only returned if include query param contains "predictions".
Show child attributes
Show child attributes
Snapchat source data.
The native ID of the account that created this post, if applicable.
An ISO-8601 formatted timestamp of when the source object was created.
Source ID of media.
Type of source.
UGC, OWNED, OTHER Threads source data.
TikTok source data.
TikTok Ad source data.
Twitter source data.
An ISO-8601 formatted timestamp of when the object was last updated.
Variants of media: TEXT, LINK
TEXT, LINK Data if type is VIDEO.
Show child attributes
Show child attributes
Contains vision predictions for video media, which is a list of prediction values by frame equidistant to the length of the video
Show child attributes
Show child attributes
Time interval for sampled video predictions
Show child attributes
Show child attributes
Visual features string of this media
YouTube source data